import 'package:firebase_messaging/firebase_messaging.dart';

import 'package:logger/logger.dart';

class MessagingService {
  //create an instance of firebase messaging
  final _firebaseMessaging = FirebaseMessaging.instance;

  Future<void> initNotifications() async {
    await _firebaseMessaging.requestPermission();
    final fcmToken = await _firebaseMessaging.getToken();
    Logger().i('FCMToken: $fcmToken');
  }
}
